package Source::Repository::Mass::BundleImport;

use strict;
use warnings;
use Source::Package;
use Source::Repository::Mass;
use Source::Repository::Mass::Transform;
use Source::Repository::RPM; # for pkg4rpmeditor
use Source::Repository::Mass::Settings::OriginTarball;
use Source::Repository::Mass::Transform::Embedded;
use Source::Repository::Mass::SkipPkg::MTime;
use RPM::Source::BundleImport 0.048;

our @ISA = qw/Source::Repository::Mass::Transform::Embedded/;
sub cli_container_ref { return ['Source::Repository::Mass::Transform::Embedded'] }

$Source::Repository::Mass::dest_class='Source::Repository::RPM';
$Source::Repository::Mass::strategy='newer';
#$Source::Repository::Mass::opt_skip_on_error=1;
$Source::Repository::Mass::Transform::suppress_rename=1;

# TODO: refactor with Embedded.pm
sub get_spec_parent {
    my ($self,$pkgpair,$converter_opt)=@_;
    my ($origin, $dest)=($pkgpair->origin,$pkgpair->dest);
    my $parentref;
    $parentref=$RPM::Source::TransformContainer::ParentProvider->get() if $RPM::Source::TransformContainer::ParentProvider;
    #$parentref||=$self->{-destrepo}->pkg4rpmeditor($dest) if $dest;
    $parentref||=Source::Repository::RPM->pkg4rpmeditor($dest) if $dest;
    my $file=$origin->file;
    unless ($file) {
	die "Oops! internal: file not found for ".$pkgpair->originname;
    }
    my ($spec,$parent)=RPM::Source::BundleImport->get_spec_parent($origin,$converter_opt,$parentref);
    return ($spec,$parent);
}

1;
