package Source::Repository::Mass::PkgFilter;

use strict;
use warnings;

our $VERSION=0.002;

use Source::Shared::CLI;
our @ISA=qw/Source::Shared::CLI/;
our $verbose=0;

our @PKG_SKIP_CLASSES;
BEGIN {
 @PKG_SKIP_CLASSES=();
}

sub cli_container_ref {
    my ($self)=@_;
    return \@PKG_SKIP_CLASSES;
}

sub pkgfilter {
    my $class=shift;
    my @args=@_;
    foreach my $filter (@PKG_SKIP_CLASSES) {
	if ($filter->pkgfilter(@args)) {
	    print STDERR 'DEBUG: PkgFilter: (',$args[0]->originname,',',$args[0]->destname,') rejected by filter ',$filter,"\n" if $verbose;
	    return 1;
	}
    }
    return;
}

sub postpkgfilter {
    my $class=shift;
    map {$_->postpkgfilter(@_)} @PKG_SKIP_CLASSES;
}

sub debug {
    print STDERR "DEBUG: PkgFilter: filters=",join(',',@PKG_SKIP_CLASSES),"\n";
}

1;
